﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SubRoutines
{
    class Program
    {
        static void Main(string[] args)
        {
            Func<int, bool> isOdd = i => (i & 1) == 1;

            Action<int> format = i => Console.WriteLine(i.ToString("000"));

            Console.WriteLine(isOdd(25));
            Console.WriteLine(isOdd(24));

            format(25);
            format(258);
            format(5);

            Console.ReadLine();
            // output will be :
            // True
            // False
            // 025
            // 258
            // 005
        }
    }
}
